%define name		gef
%define Name		GEF
%define version		0.11.1
%define release		1jpp
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        A diagram editing framework
License:        Apache License
Source0:        http://gef.tigris.org/files/documents/9/23799/GEF-0.11.1-src.zip
Url:            http://gef.tigris.org/
Requires:	log4j
BuildRequires:  ant
BuildRequires:	jakarta-commons-logging
BuildRequires:	log4j
BuildRequires:	log4j-javadoc
Group:          Development/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage Project
Distribution:	JPackage

%description
The goal of the GEF project is to build a graph editing library that
can be used to construct many, high-quality graph editing appications.
Some of GEF's features are:
- A simple, concrete design that makes the framework easy to understand
and extend.
- Node-Port-Edge graph model that is powerful enough for the vast
majority of connectied graph applications.
- Model-View-Controller design based on the Swing Java UI library makes
GEF able to act as a UI to existing data structures, and also minimizing
learning time for developers familiar with Swing.
- High-quality user interactions for moving, resizeing, reshaping, etc.
GEF also supports several novel interactions such as the broom alignment
tool and section-action-buttons.
- Generic properties sheet based on JavaBeans introspection.
- XML-based file formats based on the PGML standard (soon to support
SVG).

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -c
# remove binary files
find . -name '*.jar' -exec %__rm -f '{}' ';'
# clean manifest file
%__perl -p -i -e 's/^.*\.jar.*$//s' org/tigris/gef/manifest.mf

%build
export CLASSPATH=$(build-classpath jakarta-commons-logging log4j)

# fix broken build
BUILD_DIR=`pwd`
ant -Dbuild.dir=$BUILD_DIR \
    -Dsrc.dir=$BUILD_DIR \
    -Ddocs.dir=$BUILD_DIR/docs \
    -Dlib.dir=$BUILD_DIR/lib \
    -Dobj.dir=$BUILD_DIR/lib \
    -Ddist.dir=$BUILD_DIR/dist \
    package

# XXX - javadoc build is broken, so call javadoc manually for now
%javadoc \
-link %{_javadocdir}/log4j \
-sourcepath $BUILD_DIR \
-d $BUILD_DIR/docs \
-splitindex \
-windowtitle "GEF Documentation" \
org.tigris.gef.base \
org.tigris.gef.demo \
org.tigris.gef.event \
org.tigris.gef.graph \
org.tigris.gef.graph.presentation \
org.tigris.gef.ocl \
org.tigris.gef.persistence \
org.tigris.gef.properties \
org.tigris.gef.properties.ui \
org.tigris.gef.ui \
org.tigris.gef.util \
org.tigris.gef.xml.pgml \
org.tigris.gef.xml.svg \
Acme \
Acme.JPM.Encoders

%install
# jar
%__mkdir_p %{buildroot}%{_javadir}
%__install -m 644 lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %__ln_s ${jar} ${jar/-%{version}/}; done)

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
rm -rf %{buildroot}

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT INSTALL.txt README.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sat May 13 2006 Jason Corley <jason.corley@gmail.com>  0:0.11.1-1jpp
- upgrade to 0.11.1
- add jakarta-commons-logging dependency

* Mon Feb 21 2005 David Walluck <david@jpackage.org> 0:0.10.11-1jpp
- 0.10.11
- javadoc crosslinking

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> 0:0.10.2-2jpp
- Build with ant-1.6.2

* Tue Mar 16 2004 David Walluck <david@jpackage.org> 0:0.10.2-1jpp
- 0.10.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:0.10-1jpp
- 0.10
- for some reason, javadoc always fails from rpm build, but not in shell

* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0:0.9.6-4jpp
- adhere to JPackage 1.5 standards
- add -Dbuild.dir to ant call

* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0.9.6-3jpp
- rebuild for JPackage 1.5

* Sun Feb 23 2003 David Walluck <david@anti-microsoft.org> 0.9.6-2jpp
- fix distribution tag

* Mon Oct 21 2002 David Walluck <david@anti-microsoft.org> 0.9.6-1jpp
- 0.9.6

* Mon Oct 21 2002 David Walluck <david@anti-microsoft.org> 0.9.7-0.20021004.1jpp
- bump version to 0.9.7 (it is newer than the 0.9.6 development release by
  about 4 months)
- clean up source archive

* Mon Oct 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.6-0.20021004.1jpp
- update from David Walluck <david@anti-microsoft.org>
 - new snapshot as argo requires it

* Wed Mar 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.6-0.20020306.1jpp
- used current CVS snapshot as argo requires it

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-6jpp
- section macro

* Fri Jan 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-5jpp
- cleaned manifest file from class-path references

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 0.9.5-4jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-3jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-2jpp
- more macros

* Wed Sep 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.5-1jpp
- first unified JPackage release
- used lower case for name
- spec cleanup
- s/Copyright/License
- s/jPackage/JPackage

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.9.3-1mdk
- first Mandrake release
